Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class SimpleCompletor

Support for simple completors.

version:
  $Id: SimpleCompletor.java 7673 2007-08-24 09:39:38Z user57 $

author:
  Jason Dillon

Constructor Summary
`SimpleCompletor(def candidates)`
`SimpleCompletor()`
`SimpleCompletor(Closure loader)`

Method Summary
`void` | `add(String candidate)`
`int` | `complete(String buffer, int cursor, List clist)`
`Object` | `leftShift(String s)`

Constructor Detail

### SimpleCompletor

    public SimpleCompletor(def candidates)

### SimpleCompletor

    public SimpleCompletor()

### SimpleCompletor

    public SimpleCompletor(Closure loader)

Method Detail

### add

    public void add(String candidate)

### complete

    public int complete(String buffer, int cursor, List clist)

### leftShift

    public Object leftShift(String s)